Latest 0.2.4
Homepage https://github.com/easyui/SwiftMan
License MIT
Platforms ios 8.0, requires ARC
Frameworks UIKit, AVFoundation, Foundation, CoreTelephony
Authors

Swift 3.0
Carthage Compatible
SwiftMan
Platform
License

Requirements:

  • iOS 8.0+
  • Xcode 8.1+
  • Swift 3.0+

Features

Swift extensions and utils classes

Preview

SwiftMan

Installation

ExportFramework

run buildFramework script

Carthage

Carthage is a decentralized dependency manager that builds your dependencies and provides you with binary frameworks.

You can install Carthage with Homebrew using the following command:

$ brew update
$ brew install carthage

To integrate SwiftMan into your Xcode project using Carthage, specify it in your Cartfile:

github "easyui/SwiftMan" 

Run carthage update to build the framework and drag the built SwiftMan.framework into your Xcode project.

CocoaPods

CocoaPods is a dependency manager for Cocoa projects. You can install it with the following command:

$ gem install cocoapods

To integrate SwiftMan into your Xcode project using CocoaPods, specify it in your Podfile:

source 'https://github.com/CocoaPods/Specs.git'
platform :ios, '8.0'
use_frameworks!

target '<Your Target Name>' do
    pod 'SwiftMan'
end

Then, run the following command:

$ pod install

Thank you

some functions from other gitHub and internet, thanks all.

Latest podspec

{
    "name": "SwiftMan",
    "version": "0.2.4",
    "summary": "Swift extensions and utils classes",
    "homepage": "https://github.com/easyui/SwiftMan",
    "license": "MIT",
    "authors": {
        "yangjun": "[email protected]"
    },
    "platforms": {
        "ios": "8.0"
    },
    "source": {
        "git": "https://github.com/easyui/SwiftMan.git",
        "tag": "0.2.4"
    },
    "source_files": "SwiftMan/**/*",
    "frameworks": [
        "UIKit",
        "AVFoundation",
        "Foundation",
        "CoreTelephony"
    ],
    "requires_arc": true,
    "pushed_with_swift_version": "3.0"
}

Pin It on Pinterest

Share This